Subject: RE: [Simple] Sessions of MESSAGEs

From: "Robert Osborne" <[email-masked]>
Date: Mon, 20 Aug 2001 14:06:25 -0700

Hi,

what peer network are you referring to? I know of no organization
that would like the idea of its internal clients IP addresses being
revealed to the outside world. Therefore there has to be a server
(that may be acting as a proxy) to cross firewalls. If this server
has to be there, it might as well be a SIP proxy that allows for
the IM traffic to flow using any authenticated connections it has
to the destination domain.

Of course it could be argued that audio and video have the same
issues. However IM is different in that the amount of traffic is
causes is significantly less, and users have come accustomed due
to MSN Messenger, Yahoo and AOL, that it is possible to send IMs
between users within different companies. Therefore I favour the
approach that makes it easier for IMs to be sent between domains
in a simple fashion. I do not believe creating a special connection
for each IM session is simple.

Rob O

>-----Original Message-----
>From: Zane Thomas [mailto:[email-masked]]
>Sent: Monday, August 20, 2001 12:58 PM
>To: [email-masked]
>Subject: Re: [Simple] Sessions of MESSAGEs
>
>
>Robert,
>
>> By forcing MESSAGEs to always go via a seperate connection we are
>> introducing severe constraints that will block deployment of IM
>> solutions. Why would a company deploy a server to allow for
>> federated presence, have to deploy another server to get the IM
>> through the firewall? In reality they shouldnt need to, they should
>> be able to use the same server.
>
>You're assuming a server-centric model, presence and IM could 
>be carried
>directly by a peer network having its own builtin firewall 
>solutions.  The
>one thing p2p solutions need is some way to find at least one peer, SIP
>seems to me to serve that goal nicely.
>
>Zane
>
>
>_______________________________________________
>simple mailing list
>[email-masked]
>http://mailman.dynamicsoft.com/mailman/listinfo/simple
>

---

From: Vasilis Polychronidis <[email-masked]>
Date: Mon, 20 Aug 2001 14:24:49 -0700

> for each IM session is simple.

Why?
Hmmm....
TCP or HTTP is not simple??
Most of the commercially deployed IM systems are using TCP or HTTP as their
transport.
Using TCP or HTTP solves all your firewall issues.
IM as a session with a TCP or HTTP transport is the right way moving
forward.

---

From: "Zane Thomas" <[email-masked]>
Date: Mon, 20 Aug 2001 15:12:33 -0700

Robert,

> what peer network are you referring to?

There are a number of p2p networking systems in development, they sometimes
have different requirements and goals than server-centric solutions.

> I know of no organization
> revealed to the outside world.

Knowing internal NATed addresses isn't particularly useful in those
situations anyway, because if you're behind one you can't generally arrange
to accept incoming connections.  However in any self-selected set of
cooperating peers there will be some who are not behind organizational
firewalls and they can provide proxy services for those who are inside.  And
there may be simple application-specific proxys which exist as some sort of
commercial scheme.  The wants of organizations are, of couse, no more
important to me then when they wanted to prevent PCs from being widely used.

> Therefore there has to be a server

I understand that as an issue, however I just don't see that opening SIP up
as a solution is the right answer.  A more generalized proxy scheme which
could be used on a box by SIP and by other protocols might make more sense,
or so it seems to me.

> causes is significantly less ...

Each IM requires less bandwidth, but there are a whole lot of them.  Does
anyone here know how many servers ICQ requires because of its server-centric
nature?

ZAne